:host {
	height: 100%;
	display: grid;
	grid-template-rows: min-content 1fr;

	.viewport {
		display: grid;
		grid-template-columns: 1fr;
		grid-auto-rows: min-content;
		gap: 8px;
		overflow: auto;
		overflow-x: hidden;
		padding: var(--space) var(--space) 0 var(--space);

		&:after {
			content: '';
			height: calc(48px + var(--space) * 2);
			display: block;
		}
	}

	app-input {
		position: absolute;
		left: var(--space);
		right: var(--space);
		bottom: var(--space);
	}
}
